| GET | /RestApi/sitefinity/data-intelligence/settings |
|---|
namespace Telerik.Sitefinity.DataIntelligenceConnector.Services
open System
open System.Collections
open System.Collections.Generic
open System.Runtime.Serialization
open ServiceStack
open ServiceStack.DataAnnotations
[<AllowNullLiteral>]
type DECSettingsRequestDto() =
class end
[<AllowNullLiteral>]
type DECSettingsDto() =
member val IsDecEnabled:Boolean = new Boolean() with get,set
member val AccessKeyStrategyUsed:Boolean = new Boolean() with get,set
member val AuthorizationHeader:String = null with get,set
member val ApiServerUrl:String = null with get,set
member val DecAppUrl:String = null with get,set
member val DataCenterApiKey:String = null with get,set
member val LicenseType:String = null with get,set
member val DecAdminBackendPageUrl:String = null with get,set
member val ContentAnalyticsApiKeys:ResizeArray<String> = new ResizeArray<String>() with get,set
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/sitefinity/data-intelligence/settings HTTP/1.1 Host: www.asg.com.au Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
IsDecEnabled: False,
AccessKeyStrategyUsed: False,
AuthorizationHeader: String,
ApiServerUrl: String,
DecAppUrl: String,
DataCenterApiKey: String,
LicenseType: String,
DecAdminBackendPageUrl: String,
ContentAnalyticsApiKeys:
[
String
]
}